#ifndef __MODIFIERS_H__
#define __MODIFIERS_H__

#include "MString.h"

namespace jet {

   class Modifiers {

    public: 
      void processToBinaryModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processFromBinaryModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processToHexModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processFromHexModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processToBase64Modifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processFromBase64Modifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processToUpperModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processToLowerModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processToCGIModifier(coreutils::MString &value, coreutils::MString &lastConverted);
      void processFromCGIModifier(coreutils::MString &value, coreutils::MString &lastConverted);

    private:
      char hexChar(char c);
      
   };
   
}

#endif
